#ifndef SEGMENT_H
#define SEGMENT_H

#include "../fixed.h"
#include <stdint.h>
#include "camera.h"

class Segment
{
    public:
        Segment();
        Segment( uint16_t n_seg );
        ~Segment();

        void Project3D( camera* c );
        void Project3DNFP( camera* c );

        uint16_t Index=0;
        uint8_t Curve=0;

        fixed_t wX=0, wY=0, wZ=0;
        fixed_t sX=0, sY=0, sW=0;
        fixed_t Scale=0;
        int X=0,Y=0,W=0;

        float _wX=0, _wY=0, _wZ=0;
        float _sX=0, _sY=0, _sW=0;
        float _Scale=0;
};

#endif // SEGMENT_H
